VARKON Version 1.18 2006-09-15

## sur_trim_usrdef - Geometric procedure

> Creates a trimmed surface
> Description
> Creates a trimmed surface by "trimming" a copy of another surface. The desired portion of the old surface is specified by loops.

> Syntax
> sur_trim_usrdef(id,surid, nloops,looparr:attributes);

  REF | id;
  REF | surid;
  INT | nloops;
  REF | looparr();

> Principal parameters

  id | - Local identity
  surid | - Untrimmed surface to copy and trim
  nloops | - Number of trimming loops, at least 1.
  looparr | - Array of ref's to loops. looparr(1) is the outer loop

> Optional parameters

  -none |

> Attributes

  PEN | - Pen or colour number
  LEVEL | - Level number
  BLANK | - Visible (0) or invisible (1)
  SFONT | - Solid boundary and dashed midcurves (0)
  SDASHL | - Dash length

> Example

> Comments
> The outer loop, looparr(1), is mandatory and should be defined counterclockwise around the surface. I.e untrimmed part of the surface is to the left of the curve. Zero or more inner boundaries can be specified as looparr(2), looparr(3), ...

VARKON Homepage | Index